"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const filter_1 = require("../src/filter");
const games_mock_1 = require("./mock/games.mock");
const offers_mock_1 = require("./mock/offers.mock");
describe('Filter', () => {
    describe('filterByName', () => {
        it('should filter by name and return the filtered data', () => {
            const games = (0, filter_1.filterByName)(games_mock_1.gamesMock, 'FIFA 2');
            expect(games.length).toBe(2);
        });
        it('should filter by name and return empty data', () => {
            const games = (0, filter_1.filterByName)(games_mock_1.gamesMock, 'GTA V');
            expect(games).toEqual([]);
        });
    });
    describe('filterByStore', () => {
        it('should filter by store and return the filtered data', () => {
            const games = (0, filter_1.filterByStore)(offers_mock_1.offersMock, 'PS5');
            expect(games.length).toBe(2);
        });
        it('should filter by store and return empty data', () => {
            const games = (0, filter_1.filterByStore)(offers_mock_1.offersMock, 'XBOX');
            expect(games).toEqual([]);
        });
    });
});
//# sourceMappingURL=filter.test.js.map