"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || (function () {
    var ownKeys = function(o) {
        ownKeys = Object.getOwnPropertyNames || function (o) {
            var ar = [];
            for (var k in o) if (Object.prototype.hasOwnProperty.call(o, k)) ar[ar.length] = k;
            return ar;
        };
        return ownKeys(o);
    };
    return function (mod) {
        if (mod && mod.__esModule) return mod;
        var result = {};
        if (mod != null) for (var k = ownKeys(mod), i = 0; i < k.length; i++) if (k[i] !== "default") __createBinding(result, mod, k[i]);
        __setModuleDefault(result, mod);
        return result;
    };
})();
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const product_selling_details_mock_1 = require("./mock/product-selling-details.mock");
const gather_1 = require("../src/gather");
const games_mock_1 = require("./mock/games.mock");
const fetchModule = __importStar(require("../src/fetch"));
jest.mock('../src/fetch', () => ({
    fetchAllGames: jest.fn(),
}));
describe('Gather', () => {
    describe('getGameData', () => {
        it('should gather data from a game name', () => __awaiter(void 0, void 0, void 0, function* () {
            global.fetch = jest.fn().mockImplementation(() => __awaiter(void 0, void 0, void 0, function* () {
                return ({
                    json: () => __awaiter(void 0, void 0, void 0, function* () { return product_selling_details_mock_1.productSellingDetailsMock; }),
                });
            }));
            const response = yield (0, gather_1.getGameData)(games_mock_1.gamesMock, 'EUR', '');
            expect(response).not.toBeUndefined();
            expect(response.success).toBe(true);
            expect(response.offers.length).toBe(3);
            expect(response.offers).toEqual(product_selling_details_mock_1.productSellingDetailsMock.offers);
            expect(response.merchants).toEqual(product_selling_details_mock_1.productSellingDetailsMock.merchants);
            expect(response.editions).toEqual(product_selling_details_mock_1.productSellingDetailsMock.editions);
            expect(response.regions).toEqual(product_selling_details_mock_1.productSellingDetailsMock.regions);
        }));
        it('should gather data from a game name and filter by store', () => __awaiter(void 0, void 0, void 0, function* () {
            const expectedGame = product_selling_details_mock_1.productSellingDetailsMock.offers[2];
            global.fetch = jest.fn().mockImplementation(() => __awaiter(void 0, void 0, void 0, function* () {
                return ({
                    json: () => __awaiter(void 0, void 0, void 0, function* () { return product_selling_details_mock_1.productSellingDetailsMock; }),
                });
            }));
            const response = yield (0, gather_1.getGameData)(games_mock_1.gamesMock, 'EUR', 'PS5');
            expect(response).not.toBeUndefined();
            expect(response.success).toBe(true);
            expect(response.offers.length).toBe(1);
            expect(response.offers).toEqual([expectedGame]);
        }));
        it('should return undefined when no data is found', () => __awaiter(void 0, void 0, void 0, function* () {
            global.fetch = jest.fn().mockImplementation(() => __awaiter(void 0, void 0, void 0, function* () {
                return ({
                    json: () => __awaiter(void 0, void 0, void 0, function* () { return product_selling_details_mock_1.emptyProductSellingDetailsMock; }),
                });
            }));
            const response = yield (0, gather_1.getGameData)(games_mock_1.gamesMock, 'EUR', '');
            expect(response).not.toBeUndefined();
            expect(response.success).toBe(true);
            expect(response.offers).toEqual([]);
            expect(response.merchants).toEqual({});
            expect(response.editions).toEqual({});
            expect(response.regions).toEqual({});
        }));
    });
    describe('getProductIds', () => {
        beforeEach(() => {
            jest.clearAllMocks();
        });
        it('should return a list of game Ids', () => __awaiter(void 0, void 0, void 0, function* () {
            const expectedGames = [games_mock_1.gamesMock[0], games_mock_1.gamesMock[1]];
            fetchModule.fetchAllGames.mockResolvedValue(games_mock_1.gamesMock);
            const productIds = yield (0, gather_1.getProductIds)('FIFA 2');
            expect(productIds).not.toBeUndefined();
            expect(productIds.games.length).toBe(2);
            expect(productIds.games).toEqual(expectedGames);
        }));
        it('should return an empty list of game Ids', () => __awaiter(void 0, void 0, void 0, function* () {
            ;
            fetchModule.fetchAllGames.mockResolvedValue([]);
            const productIds = yield (0, gather_1.getProductIds)('GTA V');
            expect(productIds).not.toBeUndefined();
            expect(productIds.games.length).toBe(0);
            expect(productIds.games).toEqual([]);
        }));
    });
});
//# sourceMappingURL=gather.test.js.map